# Created by pyp2rpm-3.3.2
%global pypi_name pipdeptree

Name:           python-%{pypi_name}
Version:        0.13.2
Release:        1%{?dist}
Summary:        Command line utility to show dependency tree of packages

License:        MIT License
URL:            https://github.com/naiquevin/pipdeptree
Source0:        https://files.pythonhosted.org/packages/source/p/%{pypi_name}/%{pypi_name}-%{version}.tar.gz
BuildArch:      noarch
 
BuildRequires:  python2-devel
BuildRequires:  python2dist(setuptools)
 
BuildRequires:  python3-devel
BuildRequires:  python3dist(setuptools)

%description
pipdeptree pipdeptree is a command line utility for displaying the installed
python packages in form of a dependency tree. It works for packages installed
globally on a machine as well as in a virtualenv. Since pip freeze shows all
dependencies as a flat list, finding out which are the top level packages and
which packages do they depend on requires some effort. It can also be tedious
to...

%package -n     python2-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{pypi_name}}
 
Requires:       python2dist(graphviz)
Requires:       python2dist(pip) >= 6.0.0
Requires:       python2dist(setuptools)
%description -n python2-%{pypi_name}
pipdeptree pipdeptree is a command line utility for displaying the installed
python packages in form of a dependency tree. It works for packages installed
globally on a machine as well as in a virtualenv. Since pip freeze shows all
dependencies as a flat list, finding out which are the top level packages and
which packages do they depend on requires some effort. It can also be tedious
to...

%package -n     python3-%{pypi_name}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{pypi_name}}
 
Requires:       python3dist(graphviz)
Requires:       python3dist(pip) >= 6.0.0
Requires:       python3dist(setuptools)
%description -n python3-%{pypi_name}
pipdeptree pipdeptree is a command line utility for displaying the installed
python packages in form of a dependency tree. It works for packages installed
globally on a machine as well as in a virtualenv. Since pip freeze shows all
dependencies as a flat list, finding out which are the top level packages and
which packages do they depend on requires some effort. It can also be tedious
to...


%prep
%autosetup -n %{pypi_name}-%{version}
# Remove bundled egg-info
rm -rf %{pypi_name}.egg-info

%build
%py2_build
%py3_build

%install
# Must do the default python version install last because
# the scripts in /usr/bin are overwritten with every setup.py install.
%py2_install
rm -rf %{buildroot}%{_bindir}/*
%py3_install

%files -n python2-%{pypi_name}
%license LICENSE
%doc README.rst
%{python2_sitelib}/%{pypi_name}.py*
%{python2_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%files -n python3-%{pypi_name}
%license LICENSE
%doc README.rst
%{_bindir}/pipdeptree
%{python3_sitelib}/__pycache__/*
%{python3_sitelib}/%{pypi_name}.py
%{python3_sitelib}/%{pypi_name}-%{version}-py?.?.egg-info

%changelog
* Fri Jun 07 2019 mockbuilder - 0.13.2-1
- Initial package.